<script context="module">
    export async function load({fetch}) {
        const res = await fetch("/events.json");
        if (res.ok) {
            return {
                props: await res.json()
            };
        }
        return {
            status: res.status,
            error: new Error("Could not load"),
        };
    }
</script>

<script>
    export let events;
</script>
<h2 class="text-5xl mb-8">Veranstaltungen</h2>

{#each events as event}
    <div class="card lg:card-side bordered">
        <figure >
            <img class="object-scale-down w-52 h-52" src="../assets/asta_logo_rgb.png">
        </figure>
        <div class="card-body">
            <h3 class="card-title">{event.info.title}</h3>
            <p>{event.info.description}</p>
            <div class="card-actions">
                <a class="btn btn-primary" href="/stream/{event.id}">Start</a>
                <button class="btn btn-secondary">Aufzeichnungen</button>
                <button class="btn btn-secondary">Mehr infos</button>
            </div>
        </div>
    </div>
{/each}

